Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -11001,5 +11001,5 @@
 !     :           qp_avantevap_cas(162)
 !        endif !if (ncas_evap_liq.ge.162) THEN
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
           do il=1,ncas
 !            WRITE(*,*) 'appel tmp 1492: il=',il
@@ -11029,10 +11029,10 @@
 #ifdef ISOTRAC       
        ! à l'avenir, il faudra faire les choses plus proprement!
-       if (oktrac.eq.1) THEN
+       IF (oktrac.EQ.1) THEN
            ! on renormalise le flux de précip et d'évap
            ! on suppose que la seule différence entre les différentes
            ! zones, c'est la compo du liquide
            do il=1,ncas
-            if (ptrac(il).gt.1e-20) THEN
+            IF (ptrac(il).gt.1e-20) THEN
              Pqisup_cas(il)=Pqisup_cas(il)/ptrac(il)
              Eqi_stewart(il)=Eqi_stewart(il)/ptrac(il)
@@ -11058,9 +11058,9 @@
             endif !if (ptrac(il).gt.0.0) THEN
            enddo !do il=1,ncas
-       endif !if (oktrac.eq.1) THEN
+       endif !if (oktrac.EQ.1) THEN
 #endif       
         
 
-        if (no_pce.eq.1) THEN
+        IF (no_pce.EQ.1) THEN
             CALL stewart_sublim_nofrac_vectall( &
              ncas,qp_avantevap_cas(1), &
@@ -11069,5 +11069,5 @@
              Pxtiinf_stewart(1,1),xtnew(1,1),Exi_stewart(1,1), &
              fac_ftmr_cas(1))
-        else !if (no_pce.eq.1) THEN
+        else !if (no_pce.EQ.1) THEN
       CALL stewart_explicite_vectall(ncas, &
              qp_avantevap_cas(1),xtp_avantevap_cas(1,1), &
@@ -11082,8 +11082,8 @@
 #endif
         )
-         endif !if (no_pce.eq.1) THEN
+         endif !if (no_pce.EQ.1) THEN
 #ifdef ISOTRAC      
       ! à l'avenir, il faudra faire les choses plus proprement!
-      if (oktrac.eq.1) THEN
+      IF (oktrac.EQ.1) THEN
            ! on renormalise le flux de précip et d'évap
            ! on suppose que la seule différence entre les différentes
@@ -11102,9 +11102,9 @@
              hdiag(il)=qeff(il)/qs_cas(il)
            enddo !do il=1,ncas
-       endif !if (oktrac.eq.1) THEN
-#endif
-
-#ifdef ISOVERIF
-       if (iso_eau.gt.0) THEN
+       endif !if (oktrac.EQ.1) THEN
+#endif
+
+#ifdef ISOVERIF
+       IF (iso_eau.gt.0) THEN
           do il=1,ncas     
                 CALL iso_verif_egalite_choix( &
@@ -11118,5 +11118,5 @@
                 'appel_stewart_np 586', &
                 errmax,errmaxrel)
-                if (Pqiinf_stewart(il).gt.ridicule) THEN
+                IF (Pqiinf_stewart(il).gt.ridicule) THEN
                   CALL iso_verif_egalite_choix(( &
                    Pxtiinf_stewart(iso_eau,il)/Pqiinf_stewart(il)), &
@@ -11145,10 +11145,10 @@
         ! qui sort de la boite i (Pqiinf_par)
         do il=1,ncas
-          if (abs(water_cas(il)).lt.ridicule/10.) THEN
+          IF (abs(water_cas(il)).lt.ridicule/10.) THEN
             do ixt=1,niso
                xtwater_cas(ixt,il)=0.0
             enddo !do ixt=1,niso
-          else !if (water(il,i).eq.0.0) THEN
-             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
+          else !if (water(il,i).EQ.0.0) THEN
+             IF (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
                do ixt=1,niso 
                  xtwater_cas(ixt,il)=water_cas(il) &
@@ -11162,5 +11162,5 @@
                 enddo !do ixt=1,niso
              endif
-           endif !if (water(il,i).eq.0.0) THEN
+           endif !if (water(il,i).EQ.0.0) THEN
          enddo !do il=1,ncas
         
@@ -11171,11 +11171,11 @@
                'appel_stewart_np 566')
         enddo !do ixt=1,niso
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart_np 568',errmax,errmaxrel)
-         if (water_cas(il).gt.ridicule*10) THEN
-             if (iso_verif_egalite_choix_nostop( &
+         IF (water_cas(il).gt.ridicule*10) THEN
+             IF (iso_verif_egalite_choix_nostop( &
                 xtwater_cas(iso_eau,il)/water_cas(il),1.0, &
-                'appel stewart 155',errmax*10,errmaxrel*10).eq.1) THEN
+                'appel stewart 155',errmax*10,errmaxrel*10).EQ.1) THEN
 !               WRITE(*,*) 'i=',i
                WRITE(*,*) 'Tevap=',T_cas(il)
@@ -11199,5 +11199,5 @@
         ! calcule xtevapi.    
        do il=1,ncas
-        if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
+        IF (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
             ! changement le 20avril 2012: >0 -> >ridicule
          do ixt=1,niso          
@@ -11218,8 +11218,8 @@
       do il=1,ncas
         do ixt=1,niso
-         if ((iso_verif_noNAN_nostop(xtevap_cas(ixt,il), &
-          'appel stewart 131').eq.1).or. &
+         IF ((iso_verif_noNAN_nostop(xtevap_cas(ixt,il), &
+          'appel stewart 131').EQ.1).OR. &
            (iso_verif_noNAN_nostop(xtnew(ixt,il), &
-          'appel stewart 131b').eq.1)) THEN
+          'appel stewart 131b').EQ.1)) THEN
            WRITE(*,*) 'Exi_stewart(ixt,il)=',Exi_stewart(ixt,il)
            WRITE(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
@@ -11234,12 +11234,12 @@
 #ifdef ISOVERIF
       do il=1,ncas
-        if (oktrac.eq.0) THEN
+        IF (oktrac.EQ.0) THEN
             ! dans le cas traceur, le calcul de evap_cas est plus
             ! compliqué: il faut le faire plus proprement dans
             ! compress_stewart
-        if (iso_eau.gt.0) THEN
-            if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
+        IF (iso_eau.gt.0) THEN
+            IF (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
                  evap_cas(il),'appel stewart 142', &
-                errmax,errmaxrel).eq.1) THEN
+                errmax,errmaxrel).EQ.1) THEN
               WRITE(*,*) 'il=',il
               WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
@@ -11254,8 +11254,8 @@
             endif
         endif !if (iso_eau.gt.0) THEN
-        endif !if (oktrac.eq.0) THEN
+        endif !if (oktrac.EQ.0) THEN
 #ifdef ISOTRAC
-        if (oktrac.eq.1) THEN
-        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
+        IF (oktrac.EQ.1) THEN
+        IF ((iso_eau.gt.0).AND.(iso_HDO.gt.0)) THEN
              CALL iso_verif_aberrant_choix( &
                 (xtp_avantevaptrac_cas(iso_HDO,il)), &
@@ -11263,5 +11263,5 @@
                 ridicule_trac,deltalimtrac, &
                 'appel_stewart_np 2053')
-        endif !if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
+        endif !if ((iso_eau.gt.0).AND.(iso_HDO.gt.0)) THEN
         endif
 #endif
@@ -11272,7 +11272,7 @@
       
       do il=1,ncas
-       if (i.lt.INB_cas(il)) THEN
-          if (fac_ftmr_cas(il).gt.0.0) THEN
-             if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
+       IF (i.lt.INB_cas(il)) THEN
+          IF (fac_ftmr_cas(il).gt.0.0) THEN
+             IF (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
                do ixt=1,niso               
                !   xtp(ixt,il,i)=xtnew(ixt)*qp(il,i)/xtnew(4)
@@ -11282,6 +11282,6 @@
                enddo !do ixt=1,niso
              else ! if (Eqi_stewart.gt.ridicule) THEN
-                if (qp_cas(il).gt.0.0) THEN
-                    if (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
+                IF (qp_cas(il).gt.0.0) THEN
+                    IF (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
                          THEN
                         ! il va manquer quelque chose: il faut augmenter
@@ -11315,13 +11315,13 @@
             endif !if (Eqi_stewart.gt.ridicule) THEN
 #ifdef ISOVERIF       
-!            if (il.eq.87) THEN
+!            if (il.EQ.87) THEN
 !                WRITE(*,*) 'appel_stewart_np 2244: tmp, après calcul xtp'
 !                WRITE(*,*) 'xtnew(:,il)=',xtnew(:,il)
 !                WRITE(*,*) 'Pxtiinf_stewart(:,il)=',
 !     :             Pxtiinf_stewart(:,il)
-!            endif  !if (il.eq.87) THEN
+!            endif  !if (il.EQ.87) THEN
             do ixt=1,niso
-              if (iso_verif_noNAN_nostop(xtp_cas(ixt,il), &
-                       'appel stewart 684').eq.1) THEN
+              IF (iso_verif_noNAN_nostop(xtp_cas(ixt,il), &
+                       'appel stewart 684').EQ.1) THEN
                 WRITE(*,*) 'i,INB_cas(il)=',i,INB_cas(il)
                 WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
@@ -11341,6 +11341,6 @@
 #ifdef ISOVERIF  
 #ifdef ISOTRAC 
-            if (oktrac.eq.1) THEN
-            if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
+            IF (oktrac.EQ.1) THEN
+            IF ((iso_HDO.gt.0).AND.(iso_eau.gt.0)) THEN
                 ! le 10 mai 2009: on remonte le seuil de vérif de deltaD
                 ! aberrant car dans le cas des traceurs, des très
@@ -11348,8 +11348,8 @@
                 ! influencées par des évaps qui peuvent être aberantes
                 ! si ces evaps sont petites
-                if (iso_verif_aberrant_choix_nostop( &
+                IF (iso_verif_aberrant_choix_nostop( &
                 xtp_cas(iso_HDO,il),xtp_cas(iso_eau,il), &
                 ridicule_trac,deltalimtrac, &
-                'appel_stewart_np 2090').eq.1) THEN
+                'appel_stewart_np 2090').EQ.1) THEN
                   WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau),deltaD=', &
                    xtp_avantevaptrac_cas(iso_eau,il),deltaD &
@@ -11386,12 +11386,12 @@
                 endif
         endif !if (iso_HDO.gt.0) THEN
-       endif !if (oktrac.eq.1) THEN
+       endif !if (oktrac.EQ.1) THEN
 #endif
 !#ifdef ISOTRAC
-          if (oktrac.eq.0) THEN
-            if (iso_eau.gt.0) THEN
-              if (iso_verif_egalite_choix_nostop(xtp_cas(iso_eau,il), &
+          IF (oktrac.EQ.0) THEN
+            IF (iso_eau.gt.0) THEN
+              IF (iso_verif_egalite_choix_nostop(xtp_cas(iso_eau,il), &
               qp_cas(il),'appel stewart 688', &
-                errmax,errmaxrel*30).eq.1) THEN
+                errmax,errmaxrel*30).EQ.1) THEN
                   WRITE(*,*) 'il=',il
                   WRITE(*,*) 'q,xtp_avantevap_cas(iso_eau)=', &
@@ -11410,9 +11410,9 @@
               endif !if (iso_verif_egalite_choix_nostop(xtp_cas(iso_eau,il),
            endif !if (iso_eau.gt.0) THEN
-           if ((iso_HDO.gt.0).and. &
+           IF ((iso_HDO.gt.0).AND. &
                 (qp_cas(il).gt.ridicule)) THEN
-             if (iso_verif_aberrant_nostop(xtp_cas(iso_HDO,il)/ &
+             IF (iso_verif_aberrant_nostop(xtp_cas(iso_HDO,il)/ &
               qp_cas(il), &
-              'appel_stewart_np 1079').eq.1) THEN
+              'appel_stewart_np 1079').EQ.1) THEN
                WRITE(*,*) 'i,qp(cas_evap_liq(il),i)=', &
                         i,qp_cas(il)
@@ -11423,5 +11423,5 @@
              endif
            endif !if (iso_HDO.gt.0) THEN
-        endif ! if (oktrac.eq.0) THEN
+        endif ! if (oktrac.EQ.0) THEN
 #endif              
 
@@ -11456,6 +11456,6 @@
       do il=1,ncas
 #ifdef ISOTRAC
-        if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
-          if (oktrac.eq.1) THEN
+        IF ((iso_HDO.gt.0).AND.(iso_eau.gt.0)) THEN
+          IF (oktrac.EQ.1) THEN
               CALL iso_verif_aberrant_choix( &
                 xtp_cas(iso_HDO,il),xtp_cas(iso_eau,il), &
@@ -11466,12 +11466,12 @@
       enddo !do il=1,ncas  
       
-      if (oktrac.eq.0) THEN
-      if (iso_eau.gt.0) THEN
+      IF (oktrac.EQ.0) THEN
+      IF (iso_eau.gt.0) THEN
        do il=1,ncas       
-        if (iso_verif_egalite_choix_nostop( &
+        IF (iso_verif_egalite_choix_nostop( &
                  xtp_cas(iso_eau,il), &
                  qp_cas(il), &
                 'appel stewart 197', &
-                errmax,errmaxrel*50).eq.1) THEN
+                errmax,errmaxrel*50).EQ.1) THEN
           WRITE(*,*) 'i=',i,' INB=',INB_cas(il)
           WRITE(*,*) 'Tevap=',T_cas(il)
@@ -11495,9 +11495,9 @@
         enddo !do il=1,ncas
       endif !if (iso_eau.gt.0) THEN
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
        do il=1,ncas
 !        WRITE(*,*) 'appel_stewart_np 2166: fin make_cas_evap_liq_np, ',
 !     :        'il,deltaDqp=',il,deltaD(xtp_cas(iso_HDO,il)/qp_cas(il))
-        if (qp_cas(il).gt.ridicule) THEN
+        IF (qp_cas(il).gt.ridicule) THEN
           CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
@@ -11506,5 +11506,5 @@
        enddo !do il=1,ncas     
       endif 
-      endif ! if (oktrac.eq.0) THEN
+      endif ! if (oktrac.EQ.0) THEN
 #endif
 
@@ -11536,33 +11536,33 @@
 
         ! inputs
-        integer ncas
-        real xtp_avantevap_cas(niso,ncas), &
+        INTEGER ncas
+        REAL xtp_avantevap_cas(niso,ncas), &
                 qp_avantevap_cas(ncas)
-        real xtp_avantevaptrac_cas(niso,ncas), &
+        REAL xtp_avantevaptrac_cas(niso,ncas), &
                 qp_avantevaptrac_cas(ncas)
-        real Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
-        real Pqiinf_stewart(ncas), Eqi_stewart(ncas)
-        real fac_ftmr_cas(ncas),Eqi_prime_cas(ncas), &
+        REAL Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
+        REAL Pqiinf_stewart(ncas), Eqi_stewart(ncas)
+        REAL fac_ftmr_cas(ncas),Eqi_prime_cas(ncas), &
                 Eqi_cas(ncas)
-        real T_cas(ncas),delP_cas(ncas), &
+        REAL T_cas(ncas),delP_cas(ncas), &
                 xtevapsup_cas(niso,ncas), &
                 wt_cas(ncas),qeff(ncas), &
                 qs_cas(ncas),water_cas(ncas)
-        real qp_cas(ncas)      
-#ifdef ISOVERIF
-        real evap_cas(ncas)
-        integer oktrac
+        REAL qp_cas(ncas)
+#ifdef ISOVERIF
+        REAL evap_cas(ncas)
+        INTEGER oktrac
 #endif        
-        real g,sigd(ncas)
-        integer frac_sublim
-        integer INB_cas(ncas),i
+        REAL g,sigd(ncas)
+        INTEGER frac_sublim
+        INTEGER INB_cas(ncas),i
         ! outputs
         real  xtp_cas(niso,ncas),xtwater_cas(niso,ncas), &
                 xtevap_cas(niso,ncas)
         ! locals        
-        integer il,ixt
-        real Pxtiinf_stewart(niso,ncas),  &
+        INTEGER il,ixt
+        REAL Pxtiinf_stewart(niso,ncas),  &
                 Exi_stewart(niso,ncas)
-        real xtnew(niso,ncas)     
+        REAL xtnew(niso,ncas)
 !#ifdef ISOVERIF
 !        real 
@@ -11574,5 +11574,5 @@
 #ifdef ISOVERIF  
 !      WRITE(*,*) 'appel_stewart_np 2052: entrée dans make_cas_evap_glace'
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
           do il=1,ncas
             CALL iso_verif_egalite_choix( &
@@ -11600,5 +11600,5 @@
       !    Eqi_prime sont les même que Eqi_par
 
-      if (frac_sublim.eq.1) THEN
+      IF (frac_sublim.EQ.1) THEN
             CALL stewart_glace_vectall(ncas, &
              qp_avantevap_cas(1),xtp_avantevap_cas(1,1),Pqisup_cas(1), &
@@ -11607,5 +11607,5 @@
              fac_ftmr_cas(1), &
              T_cas(1))
-      else !if (frac_sublim.eq.1) THEN
+      else !if (frac_sublim.EQ.1) THEN
 !#ifdef ISOVERIF
 !            WRITE(*,*) 'appel_stewart_explicite_np 2269'
@@ -11623,8 +11623,8 @@
               Pxtiinf_stewart(1,1),xtnew(1,1),Exi_stewart(1,1), &
               fac_ftmr_cas(1))
-      endif !if (frac_sublim.eq.1) THEN
+      endif !if (frac_sublim.EQ.1) THEN
 #ifdef ISOVERIF
 !       WRITE(*,*) 'appel_stewart_np 2096: dans make_cas_evap_glace'
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
           do il=1,ncas       
              CALL iso_verif_egalite_choix( &
@@ -11637,9 +11637,9 @@
                 'appel_stewart_np 586', &
                errmax,errmaxrel)
-             if (Pqiinf_stewart(il).gt.ridicule) THEN
-                if (iso_verif_egalite_choix_nostop(( &
+             IF (Pqiinf_stewart(il).gt.ridicule) THEN
+                IF (iso_verif_egalite_choix_nostop(( &
                 Pxtiinf_stewart(iso_eau,il)/Pqiinf_stewart(il)), &
                 1.,'appel_setwart 575b', errmax*10, errmaxrel*10) &
-                 .eq.1) THEN
+                 .EQ.1) THEN
                    WRITE(*,*) 'Pqiinf_stewart(il)=',Pqiinf_stewart(il)
 !                   WRITE(*,*) 'Pqiinf_par(il)=',Pqiinf_par(il)
@@ -11657,10 +11657,10 @@
         ! qui sort de la boite i (Pqiinf_par)
         do il=1,ncas
-          if (abs(water_cas(il)).lt.ridicule/10.) THEN
+          IF (abs(water_cas(il)).lt.ridicule/10.) THEN
             do ixt=1,niso
                xtwater_cas(ixt,il)=water_cas(il)*Rdefault(ixt)
             enddo !do ixt=1,niso
-          else !if (water(il,i).eq.0.0) THEN
-             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
+          else !if (water(il,i).EQ.0.0) THEN
+             IF (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
                do ixt=1,niso 
                  xtwater_cas(ixt,il)=water_cas(il) &
@@ -11674,5 +11674,5 @@
                 enddo !do ixt=1,niso
              endif
-           endif !if (water(il,i).eq.0.0) THEN
+           endif !if (water(il,i).EQ.0.0) THEN
          enddo !do il=1,ncas
         
@@ -11684,11 +11684,11 @@
                 'appel_stewart_np 566b')
         enddo !do ixt=1,niso
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart_np 568b',errmax,errmaxrel)
-         if (water_cas(il).gt.ridicule*10) THEN
-             if (iso_verif_egalite_choix_nostop( &
+         IF (water_cas(il).gt.ridicule*10) THEN
+             IF (iso_verif_egalite_choix_nostop( &
                 xtwater_cas(iso_eau,il)/water_cas(il),1.0, &
-                'appel stewart 155b',errmax*10,errmaxrel*10).eq.1) THEN
+                'appel stewart 155b',errmax*10,errmaxrel*10).EQ.1) THEN
                WRITE(*,*) 'i=',i
                WRITE(*,*) 'Tevap=',T_cas(il)
@@ -11712,5 +11712,5 @@
         ! calcule xtevapi.    
        do il=1,ncas
-        if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.0.0) THEN
+        IF (Eqi_stewart(il)*fac_ftmr_cas(il).gt.0.0) THEN
          do ixt=1,niso          
           xtevap_cas(ixt,il)=Eqi_cas(il) &
@@ -11732,12 +11732,12 @@
           CALL iso_verif_noNAN(xtevap_cas(ixt,il),'appel stewart 131b')
         enddo ! do ixt=1,niso
-        if (oktrac.eq.0) THEN
+        IF (oktrac.EQ.0) THEN
             ! dans le cas traceur, le calcul de evap_cas est plus
             ! compliqué: il faut le faire plus proprement dans
             ! compress_stewart
-        if (iso_eau.gt.0) THEN
-            if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
+        IF (iso_eau.gt.0) THEN
+            IF (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
               evap_cas(il), &
-              'appel stewart 142b',errmax,errmaxrel).eq.1) THEN
+              'appel stewart 142b',errmax,errmaxrel).EQ.1) THEN
                 WRITE(*,*) 'i,il=',i,il
                 WRITE(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart(il)=', &
@@ -11751,5 +11751,5 @@
             endif !if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il),
         endif !if (iso_eau.gt.0) THEN
-       endif ! if (oktrac.eq.0) THEN
+       endif ! if (oktrac.EQ.0) THEN
       enddo !do il=1,ncas 
 #endif
@@ -11771,8 +11771,8 @@
 
       do il=1,ncas
-       if (i.lt.INB_cas(il)) THEN
-          if (fac_ftmr_cas(il).gt.0.0) THEN
+       IF (i.lt.INB_cas(il)) THEN
+          IF (fac_ftmr_cas(il).gt.0.0) THEN
 !           if (Eqi_stewart(il).gt.ridicule) THEN
-            if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
+            IF (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
 !               WRITE(*,*) 'appel_stewart_v_np 2633 tmp: il=',il
                do ixt=1,niso     
@@ -11784,5 +11784,5 @@
                
 #ifdef ISOVERIF
-               if (iso_eau.gt.0) THEN
+               IF (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix( &
                     xtp_cas(iso_eau,il),qp_cas(il), &
@@ -11792,8 +11792,8 @@
 
              else ! if (Eqi_stewart.gt.ridicule) THEN
-                if (qp_cas(il).gt.0.0) THEN
+                IF (qp_cas(il).gt.0.0) THEN
 !                    if (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule)
 !     &                   THEN
-                        if ((Eqi_prime_cas(il)-Eqi_stewart(il)) &
+                        IF ((Eqi_prime_cas(il)-Eqi_stewart(il)) &
                        *fac_ftmr_cas(il).gt.ridicule) THEN
                         ! il va manquer quelque chose: il faut augmenter
@@ -11802,5 +11802,5 @@
                         ! pour l'instant, on bidouille:
 
-                        if (qp_avantevap_cas(il)+Eqi_stewart(il) &
+                        IF (qp_avantevap_cas(il)+Eqi_stewart(il) &
                          *fac_ftmr_cas(il).gt.ridicule) THEN
                         !WRITE(*,*) 'appel_stewart_np 2500: il=',il
@@ -11827,5 +11827,5 @@
                     enddo !do ixt=1,niso
 #ifdef ISOVERIF
-                    if (iso_eau.gt.0) THEN
+                    IF (iso_eau.gt.0) THEN
                       CALL iso_verif_egalite_choix( &
                     xtp_cas(iso_eau,il),qp_cas(il), &
@@ -11846,10 +11846,10 @@
 #endif
 #ifdef ISOVERIF
-             if (oktrac.eq.0) THEN
-                if (iso_eau.gt.0) THEN
-                  if (iso_verif_egalite_choix_nostop( &
+             IF (oktrac.EQ.0) THEN
+                IF (iso_eau.gt.0) THEN
+                  IF (iso_verif_egalite_choix_nostop( &
                     xtp_cas(iso_eau,il),qp_cas(il), &
                     'appel stewart 688b',errmax,errmaxrel*30) &
-                    .eq.1) THEN
+                    .EQ.1) THEN
                     WRITE(*,*) 'il=',il
                     WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau,il)=', &
@@ -11864,5 +11864,5 @@
                   endif
                endif !if (iso_eau.gt.0) THEN
-              if ((iso_HDO.gt.0).and. &
+              IF ((iso_HDO.gt.0).AND. &
                 (qp_cas(il).gt.ridicule)) THEN
                 CALL iso_verif_aberrant( &
@@ -11870,5 +11870,5 @@
                 'appel_stewart_np 1384')
               endif  ! if (iso_HDO.gt.0) THEN
-            endif ! if (oktrac.eq.0) THEN
+            endif ! if (oktrac.EQ.0) THEN
 #endif 
 
@@ -11901,12 +11901,12 @@
 #endif
 #ifdef ISOVERIF
-        if (oktrac.eq.0) THEN
-        if (iso_eau.gt.0) THEN
+        IF (oktrac.EQ.0) THEN
+        IF (iso_eau.gt.0) THEN
         do il=1,ncas
-        if (iso_verif_egalite_choix_nostop( &
+        IF (iso_verif_egalite_choix_nostop( &
                  xtp_cas(iso_eau,il), &
                  qp_cas(il), &
                 'appel stewart 197b: cas_evap_glace', &
-                errmax,errmaxrel*50).eq.1) THEN
+                errmax,errmaxrel*50).EQ.1) THEN
           WRITE(*,*) 'i,il=',i,il,' INB(il)=',INB_cas(il)
 !     &          ,' cas(il)=',cas_evap_glace(il)
@@ -11932,7 +11932,7 @@
          enddo !do il=1,ncas
         endif
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
           do il=1,ncas
-            if (qp_cas(il).gt.ridicule) THEN
+            IF (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
@@ -11941,5 +11941,5 @@
           enddo !do il=1,ncas
         endif  ! if (iso_HDO.gt.0) THEN
-       endif ! if (oktrac.eq.0) THEN
+       endif ! if (oktrac.EQ.0) THEN
 !       WRITE(*,*) 'appel_stewart_np 2331: sortie de make_cas_evap_glace'
 #endif
@@ -11965,16 +11965,16 @@
         ! déclarations
         ! **inputs
-        real xt(ntraciso),qt,cond,tcond,zfice ! tcond en K        
+        REAL xt(ntraciso),qt,cond,tcond,zfice ! tcond en K
         ! **outputs
-        real zxtice(ntraciso),zxtliq(ntraciso)
+        REAL zxtice(ntraciso),zxtliq(ntraciso)
         ! Rq: on met ntraciso au cas où on passe direct en argument les
         ! tableaux comportant les traceurs. Mais on ne fait que des
         ! isotopes normaux ici.
         ! **locals
-        real zxtalphal(niso),zxtalphai(niso)
-        real t_coup
+        REAL zxtalphal(niso),zxtalphai(niso)
+        REAL t_coup
         parameter (t_coup=273.15)
-        integer ixt
-        real zcond
+        INTEGER ixt
+        REAL zcond
 !#ifdef ISOVERIF    
 !        integer iso_verif_aberrant_nostop ! debugage
@@ -11986,5 +11986,5 @@
 
         ! traitement rapide du cas où cond=0
-        if (cond.eq.0) THEN
+        IF (cond.EQ.0) THEN
           do ixt=1,niso
             zxtliq(ixt)=0
@@ -11995,6 +11995,6 @@
 
         ! verif que qt n'est pas nul
-        if (qt.eq.0) THEN
-            if (cond.lt.ridicule) THEN
+        IF (qt.EQ.0) THEN
+            IF (cond.lt.ridicule) THEN
               do ixt=1,niso  
                 zxtliq(ixt)=0
@@ -12012,8 +12012,8 @@
         ! verif xt et qt
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(qt,xt(iso_eau), &
                'condiso_liq_ice_vectiso 62',errmax,errmaxrel)
-          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+          endif  !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
           CALL iso_verif_positif(qt-cond, &
                 'condiso_liq_ice_vectiso 56: cond>qt')
@@ -12024,5 +12024,5 @@
 #endif
           zcond=max(0.0,min(cond,qt))
-          if (essai_convergence) THEN
+          IF (essai_convergence) THEN
           else  
                 cond=min(cond,qt)
@@ -12041,15 +12041,15 @@
                 'condiso_liq_ice_vectiso 66')
         enddo
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxtalphal(iso_eau),1.0, &
                 'condiso 21',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(zxtalphai(iso_eau),1.0, &
                 'condiso 21',errmax,errmaxrel)
-        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-        if (iso_HDO.gt.0) THEN
-            if (qt.gt.ridicule) THEN
-               if (iso_verif_aberrant_nostop(xt(iso_HDO) &
+        endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+        IF (iso_HDO.gt.0) THEN
+            IF (qt.gt.ridicule) THEN
+               IF (iso_verif_aberrant_nostop(xt(iso_HDO) &
                  /qt*zxtalphai(iso_HDO)/faccond, &
-                 'condiso_liq_ice_vectiso 64').eq.1) THEN
+                 'condiso_liq_ice_vectiso 64').EQ.1) THEN
 !                WRITE(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
 !                WRITE(*,*) 'tcond,fcond,zxtalphai=',
@@ -12065,5 +12065,5 @@
                /(qt+zcond*(zxtalphal(ixt)-1))
         enddo
-        if (zcond/qt.lt.1e-5) THEN
+        IF (zcond/qt.lt.1e-5) THEN
            ! cas particulier pour éviter FI quand cond/qt->0  
            do ixt=1,niso
@@ -12071,5 +12071,5 @@
            enddo
 
-        else if (1.0-zcond/qt.lt.ridicule) THEN
+        ELSE IF (1.0-zcond/qt.lt.ridicule) THEN
            ! condensation totale
            ! on ajoute ce cas particulier le 9 avril 2012 car sur vargas
@@ -12087,32 +12087,32 @@
         ! verif egalité pour ixt=4 et eau normale:
 #ifdef ISOVERIF
-          if (zfice.lt.1) THEN
+          IF (zfice.lt.1) THEN
             do ixt=1,niso  
               CALL iso_verif_noNAN(zxtliq(ixt), &
                 'condiso_liq_ice_vectiso 91')
             enddo
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(zxtliq(iso_eau),cond, &
                 'condiso_liq_ice_vectiso 30',errmax,errmaxrel)
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-            if (iso_HDO.gt.0) THEN
-                if (cond.gt.ridicule) THEN
+            endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+            IF (iso_HDO.gt.0) THEN
+                IF (cond.gt.ridicule) THEN
                     CALL iso_verif_aberrant(zxtliq(iso_HDO)/cond, &
                          'condiso_liq_ice_vectiso 32')
                 endif !if (cond.gt.ridicule) THEN
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
           endif !if (zfice.lt.1) THEN
-          if (zfice.gt.0) THEN
+          IF (zfice.gt.0) THEN
             do ixt=1,niso    
             CALL iso_verif_noNAN(zxtice(ixt),'condiso_liq_ice_vectiso 149')
             enddo
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(zxtice(iso_eau),cond, &
                         'condiso_liq_ice_vectiso 31',errmax,errmaxrel)
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-            if (iso_HDO.gt.0) THEN
-              if (cond.gt.ridicule) THEN
-                if (iso_verif_aberrant_nostop(zxtice(iso_HDO)/cond &
-                  /faccond,'condiso_liq_ice_vectiso 33').eq.1) THEN
+            endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+            IF (iso_HDO.gt.0) THEN
+              IF (cond.gt.ridicule) THEN
+                IF (iso_verif_aberrant_nostop(zxtice(iso_HDO)/cond &
+                  /faccond,'condiso_liq_ice_vectiso 33').EQ.1) THEN
                   WRITE(*,*) 'debug condiso 88: zfice=',zfice
                   WRITE(*,*) 'cond/qt=',cond/qt
@@ -12124,5 +12124,5 @@
                    (1-(1-cond/qt)**zxtalphai(iso_HDO))/(1-(1-cond/qt))
                   WRITE(*,*) 'tcond=',tcond-t_coup,'°C'
-                  if (tcond-t_coup.gt.-40.0) THEN
+                  IF (tcond-t_coup.gt.-40.0) THEN
                       ! au dessus de -40, il y a de quoi s'inquiéter
                       ! en dessous, on ne sait pas ce que valent les alphas
@@ -12151,17 +12151,17 @@
                 'condiso_liq_ice_vectiso 193')
         enddo
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
                 zxtice(iso_eau)+zxtliq(iso_eau),cond, &
                 'condiso_liq_ice_vectiso 79',errmax,errmaxrel)
-          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-#endif
-
-        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+          endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+#endif
+
+        IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
             ! assurer convergence
-            if (zfice.eq.1.0) THEN
+            IF (zfice.EQ.1.0) THEN
                 zxtice(iso_eau)=cond
-            endif !if (zfice.eq.1.0) THEN
-       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+            endif !if (zfice.EQ.1.0) THEN
+       endif !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
         do ixt=1,ntraciso
           zxtice(ixt)=max(0.0,zxtice(ixt))
@@ -12198,17 +12198,17 @@
         ! déclarations
         ! **inputs
-        integer n
-        real xt(ntraciso,n),qt(n),cond(n),tcond(n),zfice(n) ! tcond en K        
+        INTEGER n
+        REAL xt(ntraciso,n),qt(n),cond(n),tcond(n),zfice(n) ! tcond en K
         ! **outputs
-        real zxtice(ntraciso,n),zxtliq(ntraciso,n)
+        REAL zxtice(ntraciso,n),zxtliq(ntraciso,n)
         ! Rq: on met ntraciso au cas où on passe direct en argument les
         ! tableaux comportant les traceurs. Mais on ne fait que des
         ! isotopes normaux ici.
         ! **locals
-        real zxtalphal(niso,n),zxtalphai(niso,n)
-        real t_coup        
+        REAL zxtalphal(niso,n),zxtalphai(niso,n)
+        REAL t_coup
         parameter (t_coup=273.15)
-        real zcond(n)
-        integer ixt, i ! compteurs
+        REAL zcond(n)
+        INTEGER ixt, i ! compteurs
 #ifdef ISOVERIF
 !        integer iso_verif_aberrant_nostop ! debugage
